This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 805233 - [RFE] Prevent deletion of the last admin
[RFE] Prevent deletion of the last admin
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
: FutureFeature
Depends On:
Blocks: 772645 840699
  Show dependency treegraph
 
Reported: 2012-03-20 13:16 EDT by Dmitri Pal
Modified: 2013-02-21 04:10 EST (History)
2 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Prevent deletion of the last admin Reason: Administrators were able to accidentally delete a last user from Identity Management Administrators group, which could only be repaired with direct LDAP modification by Directory Manager. Result (if any): Identity Management does not allow Administrators to delete or disable last member in Administrator group and thus the Identity Management has always at least one active Administrator.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:10:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-03-20 13:16:39 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2564

This is related to the ticket #2560 and forked out of it to track just the admin issue.
Comment 1 Rob Crittenden 2012-06-07 15:17:48 EDT
Fixed upstream.

master: f8e7b516d923142a23058cb23ee817522686cfe3

Things to test:

1. Delete admin from admins group (by default the only user)
2. Delete admins group
3. Add several users to admins group and try to remove all members at once, so:

ipa group-add-member --users=user1,user2 admins
ipa group-remove-member --users=user1,user2,admin admins

Should fail to remove them.

Two new errors were added: LastMemberError and ProtectedEntryError.
Comment 3 Namita Soman 2012-11-26 22:42:27 EST
Verified using cli and UI with ipa-server-3.0.0-8.el6.x86_64

When deleting and disabling admin - got error -
admin cannot be deleted or disabled because it is the last member of group admins
Comment 5 errata-xmlrpc 2013-02-21 04:10:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.